// Andrew Kim
// April 02, 2004
// cPlayer.h

#ifndef cplayer_h
#define cplayer_h

#include <String>
#include <vector>
#include "OGLPlatformSpecific.h"
#include <math.h>			// Header File For Windows Math Library
#include <stdio.h>			// Header File For Standard Input/Output
#include <stdarg.h>			// Header File For Variable Argument Routines
#include <gl\glaux.h>		// Header File For The Glaux Library

using namespace std;

class cPlayer
{
public:
	cPlayer(char* name, int num);
	~cPlayer();
	void addShot();
	void nextHole();
	void setInfo(char* name, int num);
	char* playerName_;
	int score_[9];
	int currentHole_;
	int playerNum_;

	// for drawing player stats in the window
	
	GLuint	base;				// Base Display List For The Font Set
	HFONT	font;										// Windows Font ID
	HFONT	oldfont;									// Used For Good House Keeping
	HDC			hDC;		// Private GDI Device Context
	
	HINSTANCE	hInstance;		// Holds The Instance Of The Application
		
	//GLvoid BuildFont(GLvoid);
	//GLvoid KillFont(GLvoid);
	//GLvoid glPrint(const char *fmt, ...);
	
	// call to display the stats
	void draw();
	void output(int x, int y, char *string);

};
#endif // cplayer_h